package m05bPoblacionEJB;

/**
 * This is the Primary Key for the Entity EJB <tt>m05PoblacionEB</tt>.
 */
public class m05PoblacionPK implements java.io.Serializable {

  /** 
   * This is the primary key.
   * It is the poblacion codigo, which is the primary key 
   * in table <tt>m0524t00</tt>.
   */
  public String pob_codigo;
  
  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean   
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05PoblacionPK) {
      m05PoblacionPK otherKey = (m05PoblacionPK) obj;
      return ((this.pob_codigo == otherKey.pob_codigo));
    }
    else
      return false;
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return this.pob_codigo.hashCode();
  }    
  
}
